/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.edge;


public class GmStraight2dIntersectionResult {

	private double paramHE;
	private double paramInt;

	private GmStraight2d straightHE;
	private GmStraight2d straightInt;

	private boolean areParallel;

	public static GmStraight2dIntersectionResult parallel(GmStraight2d s1, GmStraight2d s2) {
		return new GmStraight2dIntersectionResult(0, 0, s1, s2, true);
	}

	public static GmStraight2dIntersectionResult intersecting(double paramHE, double paramInt, GmStraight2d straightHE,
			GmStraight2d straightInt) {
		return new GmStraight2dIntersectionResult(paramHE, paramInt, straightHE, straightInt, false);
	}

	private GmStraight2dIntersectionResult(double paramHE, double paramInt, GmStraight2d straightHE,
			GmStraight2d straightInt, boolean areParallel) {
		this.paramHE = paramHE;
		this.paramInt = paramInt;
		this.straightHE = straightHE;
		this.straightInt = straightInt;
		this.areParallel = areParallel;
	}

	public double getParamHE() {
		return paramHE;
	}

	public double getParamInt() {
		return paramInt;
	}

	public GmStraight2d getStraightHE() {
		return straightHE;
	}

	public GmStraight2d getStraightInt() {
		return straightInt;
	}

	public boolean areParallel() {
		return areParallel;
	}

}
